<%@ Page language="c#" Codebehind="editpic.aspx.cs" AutoEventWireup="True" Inherits="Webdisk.editpic" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<% @ Import Namespace="Webdisk" %>
		<link href="<%=xml.GetStyle()%>" type=text/css rel=stylesheet>
	<title>编辑图片</title></HEAD>
	<body onkeydown="if(event.keyCode==13) if(document.all.dialogCase!=null){document.all.dialogOk.click();};if(event.keyCode==27) if(document.all.dialogCase!=null){document.all.dialogclose.click();}">
		<script src="js/yahoo.js" type="text/javascript"></script>
		<script src="js/event.js" type="text/javascript"></script>
		<script src="js/dom.js" type="text/javascript"></script>
		<script src="js/logger.js" type="text/javascript"></script>
		<script src="js/dragdrop-debug.js" type="text/javascript"></script>
		<script src="js/DDResize.js" type="text/javascript"></script>
		<script type="text/javascript" language="javascript" src="js/dialog.js"></script>
		<style type="text/css">
	.newarticle1 { BACKGROUND: url(pics/lab1.gif); FLOAT: left; WIDTH: 80px; PADDING-TOP: 8px; HEIGHT: 18px; TEXT-ALIGN: center }
	.newarticle2 { BACKGROUND: url(pics/lab2.gif); FLOAT: left; WIDTH: 80px; PADDING-TOP: 8px; HEIGHT: 18px; TEXT-ALIGN: center }
	.newarticlebox { PADDING-RIGHT: 20px; PADDING-LEFT: 20px; PADDING-BOTTOM: 6px; WIDTH: 92%; PADDING-TOP: 6px; TEXT-ALIGN: left }
	.photobg1 { BACKGROUND: url(pics/lab3.gif); HEIGHT: 26px; TEXT-ALIGN: left }
	.photobox { BORDER-RIGHT: #6ab2e4 1px solid; BORDER-LEFT: #6ab2e4 1px solid; BORDER-BOTTOM: #6ab2e4 1px solid }
	.photocolorblock { FONT-SIZE: 1px; BACKGROUND: #d8ecfa; HEIGHT: 8px }
	.fontclear { CLEAR: both; FONT-SIZE: 1px; VISIBILITY: hidden; WIDTH: 1px; LINE-HEIGHT: 1px }
	DIV { LINE-HEIGHT: 1.5 }
	#panelDiv { BORDER-RIGHT: #333333 1px solid; BORDER-TOP: #333333 1px solid; FILTER: Alpha(opacity=50); LEFT: 105px; BORDER-LEFT: #333333 1px solid; WIDTH: 150px; CURSOR: move; BORDER-BOTTOM: #333333 1px solid; POSITION: relative; TOP: 80px; HEIGHT: 300px; -moz-opacity: .50; opacity: 0.5 }
	#handleDiv { FONT-SIZE: 1px; RIGHT: 0px; WIDTH: 10px; CURSOR: se-resize; BOTTOM: 0px; POSITION: absolute; HEIGHT: 10px; BACKGROUND-COLOR: blue }
	</style>
		<SCRIPT language="javascript">
function getUrlParam(paramName){	
	var s=location.search;
	if(s!=null&&s.length>1){
	var sarr=s.substr(1).split("&");
	var tarr;
	for(i=0;i<sarr.length;i++){
	tarr=sarr[i].split("=");
	if(tarr.length==2&&tarr[0].toLowerCase()==paramName){
	return tarr[1];
	}
	}
	return null;
	}
}
function OprCancel()
{
	Init();
	Webdisk.editpic.inittu(getUrlParam('filepath'),IsOpr_callback);
}
function OprRound()
{
	Init();
	Webdisk.editpic.Round(getRbGroupValue(document.all.tuturn),document.all.hidext.value,getUrlParam("filepath"),IsOpr_callback);
}
function OprZoom()
{
	Init();
	Webdisk.editpic.Zoom(document.all.hidext.value,getRbGroupValue(document.all.rdChgSize),document.all.txtHeight.value,document.all.txtWidth.value,document.all.txtrate.value,getUrlParam("filepath"),IsOpr_callback);
}
function OprCut()
{
	Init();
	Webdisk.editpic.Cut(document.all.hidext.value,document.all.img1.value,document.all.img2.value,document.all.img3.value,document.all.img4.value,getUrlParam("filepath"),IsOpr_callback);
}
function OprWater()
{
	Init();
	Webdisk.editpic.Water(document.all.hidext.value,getRbGroupValue(document.all.rdMarkText),document.all.txtMarkText.value,document.all.txtMarkPic.value,getRbGroupValue(document.all.postion),document.all.selsize.value,document.all.selbold.checked,document.all.selfont.value,document.all.color1.value,document.all.color2.value,getUrlParam('filepath'),IsOpr_callback);
}
function OprSaveImg()
{
	Init();
	Webdisk.editpic.SaveImg(document.all.hidext.value,getUrlParam('filepath'),IsSaveImg_callback);
}
function Init()
{
	document.all.loading.style.top =Math.round((document.body.clientHeight-100)/2)+document.body.scrollTop-50;
	document.all.loading.style.left =Math.round((document.body.clientWidth-100)/2)-100;
	document.all.loading.style.display='';
}
function IsSaveImg_callback(res)
{
	document.all.loading.style.display='none';
	var d = new dialog();d.init();
	d.set('src','pics/succ.gif');
	d.set('title','系统提示信息');
	d.event('图片保存成功！', 'window.close();','','');

}
function IsOpr_callback(res)
{
	var msg = document.getElementById('tu');
	var bRet = res.value;
	msg.src=bRet;
	document.all.loading.style.display='none';
}
function getRbGroupValue(rbGroup)
{
	for(var i=0;i<rbGroup.length;i++)
	{
		if(rbGroup[i].checked)	return rbGroup[i].value;
	}
	alert('请选择一个值！');
	return false;
}
YAHOO.example.DDApp = function() {
    var dd, dd2, dd3;
    return {
        init: function() {
            dd = new YAHOO.example.DDResize("panelDiv", "handleDiv", "panelresize");
            dd2 = new YAHOO.util.DD("panelDiv", "paneldrag");
            dd2.addInvalidHandleId("handleDiv");
        }
    };
} ();

YAHOO.util.Event.addListener(window, "load", YAHOO.example.DDApp.init);
   
function trim(s)
{
	return s.replace(/(^\s*)|(\s*$)/g, ""); 
}

function IsNum(str)
{
	var re = /^\d+$/g;
	return (str.match(re) != null);
}

function chkInputInt()
{
	var srcElem = event.srcElement;
	var a = srcElem.value;
	var i = event.keyCode;
	if ((i == 8) || (i == 9) || (i == 13) || (i == 35) || (i == 36) || (i == 37) || (i == 39)
		|| ((i >= 48) && (i <= 57)) || ((i >= 96) && (i <= 105)) || (i == 110) || (i == 144)
		|| (i == 190) || (i == 46))
	{
		if (i == 190)
			if (srcElem.value.indexOf(".") >= 0)
			{
				event.returnValue = false;
				event.cancelBubble = true;
			}
	}
	else
	{
		event.returnValue = false;
		event.cancelBubble = true;
	}
}

var viewtype = "ChgSize";
function chkRate(obj)
{
	if (isNaN(obj.value))
	{
		obj.value = 100;
	}
	else
	{
		i = parseInt(obj.value);
		i = Math.min(Math.max(i, 1), 400);
		obj.value = i;
	}
}

function chkImgSize(obj)
{
	if (obj.id == "txtHeight")
	{
		if ((obj.value == "") && isNaN(obj.value)) obj.value = "";
		else
		{
			if (parseInt(obj.value) > 1500)
				obj.value = 1500;
			if (document.all.cbgdzhb.checked)
			{
				document.all.txtWidth.value = parseInt(19 * parseInt(obj.value) / 22);
			}
		}
	}
	else if (obj.id == "txtWidth")
	{
		if (isNaN(obj.value)) obj.value = "";
		else
		{
			if (parseInt(obj.value) > 1500)
				obj.value = 1500;
			if (document.all.cbgdzhb.checked)
			{
				document.all.txtHeight.value = parseInt(22 * parseInt(obj.value) / 19);
			}
		}
	}
	else if (obj.id == "cbgdzhb")
	{
		if (obj.checked)
		{
			if (isNaN(txtHeight.value) && !isNaN(txtWidth.value))
				document.all.txtHeight.value = parseInt(22 * parseInt(document.all.txtWidth.value) / 19);
			else if (!isNaN(txtHeight.value))
				document.all.txtWidth.value = parseInt(22 * parseInt(document.all.txtHeight.value) / 19);
		}
	}
}

function selectImage(objname)
{
	var sreturn = window.showModalDialog("editpic_sel.aspx?path=<%=path%>", 'dialogWidth:700px; dialogHeight:600px; status:0;help:0');
	if (sreturn != undefined)
	{
		document.all("txtMarkPic").value = sreturn.split(";")[0];
		document.all("oImgDiv").innerHTML = "<img src=" + sreturn.split(";")[1] + ".tb>";
	}
}

function chgsize_(s)
{
	if (s == "Rate")
	{
		document.Form1.txtrate.disabled = false;
		document.Form1.txtHeight.disabled = true;
		document.Form1.txtWidth.disabled = true;
		document.Form1.cbgdzhb.disabled = true;
	}
	else if (s == "Size")
	{
		document.Form1.txtrate.disabled = true;
		document.Form1.txtHeight.disabled = false;
		document.Form1.txtWidth.disabled = false;
		document.Form1.cbgdzhb.disabled = false;
	}
	else if (s == "Text")
	{
		document.Form1.txtMarkText.disabled = false;
		document.Form1.btnselect.disabled = true;
	}
	else if (s == "Pic")
	{
		document.Form1.txtMarkText.disabled = true;
		document.Form1.btnselect.disabled = false;
	}
}

var ColorImg;
var ColorValue;
function hideColourPallete() {
	document.getElementById("colourPalette").style.visibility="hidden";
}
function Getcolor(img_val,input_val){
	var obj = document.getElementById("colourPalette");
	ColorImg = img_val;
	ColorValue = document.getElementById(input_val);
	if (obj){
	obj.style.left = getOffsetLeft(ColorImg);
	obj.style.top = (getOffsetTop(ColorImg) + ColorImg.offsetHeight);
	if (obj.style.visibility=="hidden")
	{
	obj.style.visibility="visible";
	}else {
	obj.style.visibility="hidden";
	}
	}
}
function getOffsetTop(elm) {
	var mOffsetTop = elm.offsetTop;
	var mOffsetParent = elm.offsetParent;
	while(mOffsetParent){
		mOffsetTop += mOffsetParent.offsetTop;
		mOffsetParent = mOffsetParent.offsetParent;
	}
	return mOffsetTop;
}
function getOffsetLeft(elm) {
	var mOffsetLeft = elm.offsetLeft;
	var mOffsetParent = elm.offsetParent;
	while(mOffsetParent) {
		mOffsetLeft += mOffsetParent.offsetLeft;
		mOffsetParent = mOffsetParent.offsetParent;
	}
	return mOffsetLeft;
}
function setColor(color)
{
	if (ColorValue){if (color!=500) ColorValue.value = color;else ColorValue.value =""}
	if (ColorImg){if (color!=500) ColorImg.style.backgroundColor = color;else ColorImg.style.backgroundColor =""}
	document.getElementById("colourPalette").style.visibility="hidden";
}
function getPosition(obj) {
    var top=0;
    var left=0;
    var width=obj.offsetWidth;
    var height=obj.offsetHeight;
while (obj.offsetParent) {
    top += obj.offsetTop;
    left += obj.offsetLeft;
    obj = obj.offsetParent;
    }
	document.all.img1.value=document.all.tu.width;
	document.all.img2.value=document.all.tu.height;
	document.getElementById("panelDiv").style.top=top;
	document.getElementById("panelDiv").style.left=left;
 }
function setimgtxt() {
	var obj=document.all.tu;
    var top=0;
    var left=0;
    var width=obj.offsetWidth;
    var height=obj.offsetHeight;
	while (obj.offsetParent) {
    top += obj.offsetTop;
    left += obj.offsetLeft;
    obj = obj.offsetParent;
    }
 
	var obj1=document.all.panelDiv;
    var top1=0;
    var left1=0;
	while (obj1.offsetParent) {
    top1 += obj1.offsetTop;
    left1 += obj1.offsetLeft;
    obj1 = obj1.offsetParent;
    } 
	document.all.img1.value=document.getElementById("panelDiv").style.width.replace("px","");
	document.all.img2.value=document.getElementById("panelDiv").style.height.replace("px","");
	document.all.img3.value=left1-left;
	document.all.img4.value=top1-top;	
 }
 function secBoard(n)
{
	for(i=1;i<5;i++)
	{
		eval("document.getElementById('cl0"+i+"').className='newarticle2'");
	}
	eval("document.getElementById('cl0"+n+"').className='newarticle1'");
	for(i=1;i<5;i++)
		eval("document.getElementById('Layer"+i+"').style.display='none'");
	eval("document.getElementById('Layer"+n+"').style.display='block'");
	if (n==3) 
	{
		getPosition(document.all.tu);
		document.all.panelDiv.style.display='';
		document.all.handleDiv.style.display='';
	}
	else
	{
		document.all.panelDiv.style.display='none';
		document.all.handleDiv.style.display='none';
	}
}
		</SCRIPT>
		<form id="Form1" method="post" runat="server">
			<div onMouseMove="setimgtxt();" id="panelDiv" style="DISPLAY: none; LEFT: 200px; WIDTH: 100px; POSITION: absolute; TOP: 100px; HEIGHT: 100px; BACKGROUND-COLOR: #999999">
				<div id="handleDiv" style="DISPLAY: none"></div>
			</div>
			<iframe id="colourPalette" style="BORDER-RIGHT: gray 1px solid; BORDER-TOP: gray 1px solid; LEFT: 0px; VISIBILITY: hidden; BORDER-LEFT: gray 1px solid; BORDER-BOTTOM: gray 1px solid; POSITION: absolute; TOP: 0px"
				src="selcolor.htm" frameBorder="0" width="260" scrolling="no" height="165"></iframe>
			<div id="loading" style=" display:none;POSITION: absolute; background-color:#FFFFAE; border-color:DBDCE3; border-style:solid; border-width:1px"><img src="pics/loading.gif" width="32" height="32" align="absmiddle"> <b>正在处理，请稍候……</b></div>
			<table cellSpacing="1" cellPadding="5" width="95%" align="center" border="0">
				<tr class="tableTd">
					<td>
						<DIV class="photobg1">
							<table cellSpacing="0" cellPadding="0" width="320" align="center" border="0">
								<tr>
									<td>
										<DIV class="newarticle1" id="cl01" style="CURSOR: hand" onClick="secBoard(1)">缩 放</DIV>
										<DIV class="newarticle2" id="cl02" style="CURSOR: hand" onClick="secBoard(2)">旋 转</DIV>
										<DIV class="newarticle2" id="cl03" style="CURSOR: hand" onClick="secBoard(3)">裁 剪</DIV>
										<DIV class="newarticle2" id="cl04" style="CURSOR: hand" onClick="secBoard(4)">水 印</DIV>
									</td>
								</tr>
							</table>
						</DIV>
						<DIV class="photobox" id="Layer1">
							<DIV class="photocolorblock"></DIV>
							<DIV class="fontclear"></DIV>
							<DIV class="newarticlebox" style="WIDTH: 100%">
								<TABLE cellSpacing="1" cellPadding="5" width="100%" align="center" bgColor="#ffffff"
									border="0">
									<TR>
										<TD align="right" width="74%">
											<DIV align="center"><INPUT id="rdChgSize" onClick="chgsize_('Rate')" type="radio" CHECKED value="0" name="rdChgSize" > 按比例缩放， <INPUT class="b1a1989d7 l19" id="txtrate" onKeyDown="chkInputInt();" onKeyUp="chkRate(this)"
													size="10" value="100" name="txtrate" runat="server"> % <INPUT id="rdChgSize" onClick="chgsize_('Size')" type="radio" value="1" name="rdChgSize"> 按照大小缩放，宽 <INPUT class="b1a1989d7 l19 " id="txtHeight" onKeyDown="chkInputInt();" onKeyUp="chkImgSize(this)"
													size="10" value="22" name="txtHeight" runat="server"> 高 <INPUT class="b1a1989d7 l19 " id="txtWidth" onKeyDown="chkInputInt();" onKeyUp="chkImgSize(this)"
													size="10" value="19" name="txtWidth" runat="server"> <INPUT id="cbgdzhb" onKeyUp="chkImgSize(this)" type="checkbox" CHECKED name="checkbox"
													runat="server"> 保持长宽比例
											</DIV>
											<DIV align="center"><FONT face="宋体"></FONT></DIV>
										</TD>
										<TD align="right" width="19%">
											<DIV align="center"><INPUT class="btn" id="Button1" type="button" value="预 览" name="button" onClick="OprZoom();">
												&nbsp; <INPUT class="btn" id="Button6" type="button" value="取 消" name="button" onClick="OprCancel();">&nbsp;
												<INPUT class="btn" id="Button7" type="button" value="保 存" name="button" onClick="OprSaveImg();"></DIV>
										</TD>
									</TR>
								</TABLE>
							</DIV>
							<DIV class="fontclear"></DIV>
						</DIV>
						<DIV class="photobox" id="Layer2" style="DISPLAY: none">
							<DIV class="photocolorblock"></DIV>
							<DIV class="fontclear"></DIV>
							<DIV class="newarticlebox" style="WIDTH: 100%">
								<TABLE cellSpacing="1" cellPadding="5" width="100%" align="center" border="0">
									<TR>
										<TD align="right" colSpan="2">
											<DIV align="center"><input type="radio" name="tuturn" value="1"> 水平翻转 <input type="radio" name="tuturn" value="2">
												垂直翻转 <input type="radio" name="tuturn" value="3"> 旋转90° <input type="radio" name="tuturn" value="4">
												旋转180° <input type="radio" name="tuturn" value="5"> 旋转270°</DIV>
										</TD>
										<TD align="right" width="19%">
											<DIV align="center"><INPUT class="btn" id="Button4" type="button" value="预 览" name="button2" onClick="OprRound();">
												&nbsp; <INPUT class="btn" id="Button8" type="button" value="取 消" name="button" onClick="OprCancel();">&nbsp;
												<INPUT class="btn" id="Button7" type="button" value="保 存" name="button" onClick="OprSaveImg();"></DIV>
										</TD>
									</TR>
								</TABLE>
							</DIV>
							<DIV class="fontclear"></DIV>
						</DIV>
						<DIV class="photobox" id="Layer3" style="DISPLAY: none">
							<DIV class="photocolorblock"></DIV>
							<DIV class="fontclear"></DIV>
							<DIV class="newarticlebox" style="WIDTH: 100%">
								<TABLE id="Table1" cellSpacing="1" cellPadding="5" width="100%" align="center" border="0">
									<TR>
										<TD align="right" width="81%">
											<DIV align="center">裁剪范围：宽 <INPUT class="b1a1989d7 l19" id="img1" onKeyDown="chkInputInt();" onKeyUp="chkRate(this)"
													size="10" value="0" name="txtrate" runat="server">&nbsp;&nbsp;高 <INPUT class="b1a1989d7 l19 " id="img2" onKeyDown="chkInputInt();" onKeyUp="chkImgSize(this)"
													size="10" value="0" name="txtHeight" runat="server">&nbsp;&nbsp;X <INPUT class="b1a1989d7 l19 " id="img3" onKeyDown="chkInputInt();" onKeyUp="chkImgSize(this)"
													size="10" value="0" name="txtWidth" runat="server">&nbsp;Y <INPUT class="b1a1989d7 l19 " id="img4" onKeyDown="chkInputInt();" onKeyUp="chkImgSize(this)"
													size="10" value="0" name="txtWidth" runat="server"></DIV>
										</TD>
										<TD align="right" width="19%">
											<DIV align="center"><INPUT class="btn" id="Button12" type="button" value="预 览" name="button" onClick="OprCut();">
												&nbsp; <INPUT class="btn" id="Button11" type="button" value="取 消" name="button" onClick="OprCancel();">&nbsp;
												<INPUT class="btn" id="Button7" type="button" value="保 存" name="button" onClick="OprSaveImg();"></DIV>
										</TD>
									</TR>
								</TABLE>
							</DIV>
							<DIV class="fontclear"></DIV>
						</DIV>
						<DIV class="photobox" id="Layer4" style="DISPLAY: none">
							<DIV class="photocolorblock"></DIV>
							<DIV class="fontclear"></DIV>
							<DIV class="newarticlebox" style="WIDTH: 100%">
								<TABLE cellSpacing="1" cellPadding="5" width="100%" align="center" border="0">
									<TR>
										<TD align="right">
											<DIV align="left"><INPUT id="rdMarkText" onClick="chgsize_('Text')" type="radio" CHECKED value="1" name="rdMarkType"> 文字，字体：
												<SELECT id="selfont" name="selfont" runat="server">
													<OPTION value="宋体">宋体</OPTION>
													<OPTION value="楷体_GB2312">楷体</OPTION>
													<OPTION value="新宋体">新宋体</OPTION>
													<OPTION value="黑体">黑体</OPTION>
													<OPTION value="隶书">隶书</OPTION>
													<OPTION value="Andale Mono" selected>Andale Mono</OPTION>
													<OPTION value="Arial">Arial</OPTION>
													<OPTION value="Arial Black">Arial Black</OPTION>
													<OPTION value="Book Antiqua">Book Antiqua</OPTION>
													<OPTION value="Century Gothic">Century Gothic</OPTION>
													<OPTION value="Comic Sans MS">Comic Sans MS</OPTION>
													<OPTION value="Courier New">Courier New</OPTION>
													<OPTION value="Georgia">Georgia</OPTION>
													<OPTION value="Impact">Impact</OPTION>
													<OPTION value="Tahoma">Tahoma</OPTION>
													<OPTION value="Times New Roman">Times New Roman</OPTION>
													<OPTION value="Trebuchet MS">Trebuchet MS</OPTION>
													<OPTION value="Script MT Bold">Script MT Bold</OPTION>
													<OPTION value="Stencil">Stencil</OPTION>
													<OPTION value="Verdana">Verdana</OPTION>
													<OPTION value="Lucida Console">Lucida Console</OPTION>
												</SELECT>
												字号：
												<SELECT id="selsize" name="selsize" runat="server">
													<OPTION value="9">9</OPTION>
													<OPTION value="10">10</OPTION>
													<OPTION value="12" selected>12</OPTION>
													<OPTION value="14">14</OPTION>
													<OPTION value="16">16</OPTION>
													<OPTION value="18">18</OPTION>
													<OPTION value="24">24</OPTION>
													<OPTION value="36">36</OPTION>
												</SELECT>
												文字颜色：<SPAN class="ForumRowHighlight"><IMG title="选取颜色" style="CURSOR: pointer; BACKGROUND-COLOR: #ffffff" onClick="Getcolor(this,'color1');"
														height="17" src="pics/rect.gif" width="18" border="0"></SPAN>文字背景：<SPAN class="ForumRowHighlight"><IMG title="选取颜色" style="CURSOR: pointer" onClick="Getcolor(this,'color2');" height="17"
														src="pics/rect.gif" width="18" border="0"></SPAN>
												<INPUT id="selbold" type="checkbox" value="checkbox" name="selbold" runat="server">
												粗 <INPUT class="b1a1989d7 l19" id="txtMarkText" value="此处输入水印文字" name="txtMarkText" runat="server">
												<INPUT id="color1" style="WIDTH: 16px; HEIGHT: 22px" type="hidden" size="1" value="#FFFFFF"
													name="color1" runat="server"> <INPUT id="color2" style="WIDTH: 22px; HEIGHT: 22px" type="hidden" size="1" name="color2"
													runat="server">
												<BR>
												<INPUT id="rdMarkText" onClick="chgsize_('Pic')" type="radio" value="0" name="rdMarkType"> 图片 <INPUT id="txtMarkPic" style="WIDTH: 8px; HEIGHT: 22px" type="hidden" size="1" name="txtMarkPic"
													runat="server"> <INPUT class="b1a1989d7 bg1989d7 cfff sbot" id="btnselect" onClick="selectImage();" type="button"
													value="选择…" name="btnselect">
											</DIV>
										</TD>
										<TD align="right" width="19%" rowSpan="2">
											<DIV align="center"><INPUT class="btn" id="Button5" type="button" value="预 览" name="button3" onClick="OprWater();">
												&nbsp; <INPUT class="btn" id="Button9" type="button" value="取 消" name="button" onClick="OprCancel();">&nbsp;
												<INPUT class="btn" id="Button7" type="button" value="保 存" name="button" onClick="OprSaveImg();"></DIV>
										</TD>
									</TR>
									<TR>
										<TD align="right" width="80%">
											<DIV align="left">插入位置：
												<input type="radio" name="postion" value="1" />
左上角
<input type="radio" name="postion" value="2" />
左下角
<input type="radio" name="postion" value="3" checked />
居中
<input type="radio" name="postion" value="4" />
右上角
<input type="radio" name="postion" value="5" />
右下角</DIV>
										</TD>
									</TR>
								</TABLE>
							</DIV>
						</DIV>
						<INPUT id="hidext" type="hidden" name="hidext" runat="server">
					</td>
				</tr>
			</table>
			<br>
			<TABLE height="181" cellSpacing="1" cellPadding="5" width="100%" align="center"
				border="0">
				<TR bgColor="#ffffff">
					<TD class="pad" width="100%" height="179">
						<DIV id="imgdiv" align="center"><asp:image id="tu" runat="server" ImageAlign="Middle"></asp:image></DIV>
					</TD>
				</TR>
			</TABLE>
		</form>
	</body>
</HTML>
